/*
 * Copyright 2013-2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.alibaba.alicloud.acm.bootstrap;

import java.util.Date;
import java.util.Map;

import org.springframework.core.env.MapPropertySource;

/**
 * @author juven.xuxb
 * @author xiaolongzuo
 */
public class AcmPropertySource extends MapPropertySource {

	private final String dataId;

	private final String group;

	private final Date timestamp;

	private final boolean groupLevel;

	AcmPropertySource(String dataId, String group, Map<String, Object> source,
			Date timestamp, boolean groupLevel) {
		super(dataId, source);
		this.dataId = dataId;
		this.group = group;
		this.timestamp = timestamp;
		this.groupLevel = groupLevel;
	}

	public String getDataId() {
		return dataId;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public String getGroup() {
		return group;
	}

	public boolean isGroupLevel() {
		return groupLevel;
	}

}
